<?php

class ContactFormsController extends EvContactFormAppController
{




	protected function _adminPopulateLookups() {
		$config= Configure::read('EvContactForm');
		$keys = array_combine(array_keys($config), array_keys($config));

		$this->set('formDatas', $keys);
	}

	/**
	 * index action
	 */
	public function _adminIndexActions() {

		return array(
			'Edit',
			'Delete',
		);

	}

	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();
		$fields['form_data']['type'] = 'select';
		unset($fields['actioned']);
		return $fields;
	}


	/**
	 * define the columns to show on the listing
	 */
	public function _adminIndexColumns() {

		return array(
			'ContactForm.name' => array(
				'label' => 'Name',
				'type' => 'string'
			),
			'ContactForm.created' => array(
				'label' => 'Submitted',
				'type' => 'datetime_nice'
			),
		);
	}


	/**
	 * Defines the buttons in the toolbar displayed on an admin_form
	 *
	 * Override in your controller to customise
	 */
	public function _adminFormToolbar() {

		$Model = $this->{$this->modelClass}->alias;

		$toolbar = array();
		if(isset($this->request->data[$Model]['id']) && is_null($this->request->data['ContactForm']['actioned']))
		{
			$toolbar = array(
				'Mark as Actioned' => array(
					'url' => array(
						'action' => 'actioned',
						$this->request->data[$Model]['id']
					)
				)
			);
		}
		return $toolbar;
	}
}